Autor Tópico: Aplicativos com JAVA VM  (Lida 562 vezes)

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Aplicativos com JAVA VM
« Online: 09 de Novembro de 2017, 13:25 »
Acho que fiz uma descoberta interessante. Achava que tinha problema em configurar o JDownloader (gerenciador de downloads) e já estava atrás de um similar. Foi quando instalei o Handbrake, um codificador de vídeos, que obteve o mesmo problema. Ou seja, você clica no ícone, e eles não iniciam. O que eles tem de igual: Usam VM do Java. Eu tenho instalado aqui:
htpc@htpc-ULTRATOP-BRIX:~$ java -version
java version "9.0.1"
Java(TM) SE Runtime Environment (build 9.0.1+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.1+11, mixed mode)
htpc@htpc-ULTRATOP-BRIX:~$

Tinha instalada a versão 8 e atualizei para a 9 e o problema persiste. Deve ter alguma configuração que está faltando, do tipo que faz o programa acionar a máquina virtual. Não consigo achar outra explicação. Mas de qualquer forma também não encontro mais informação sobre o assunto.
O mais engraçado é que no Deepin, esses programas funcionavam, mesmo sem eu ter que configurar nada. :-\
« Última modificação: 09 de Novembro de 2017, 15:53 por maurente »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #1 Online: 09 de Novembro de 2017, 14:57 »
Não parece que o problema seja exatamente esse quanto a instalação do jdownloader.

Consegui instalar e fazer funcionar no Ubuntu 16.04.3 padrão (Unity), tendo instalada o Java JRE 8u151, porém só deu certo baixando diretamente do site do jdownloader e usando a interface gráfica do instalador, isto é, instalando através da ppa (ppa:jd-team/jdownloader) não funcionou.




Para simplificar, siga esse roteiro:

http://tipsonubuntu.com/2016/08/19/install-jdownloader-2-ubuntu-16-04/

« Última modificação: 09 de Novembro de 2017, 15:11 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #2 Online: 09 de Novembro de 2017, 15:24 »
Realmente Druidaobelix, funcionou. Só tive que descobrir onde estavam as Preferências do Nautilus e ativar texto como executável.
Mas com relação ao Handbrake, acho que é mais difícil. Esse tutorial não adiantou:
http://www.edivaldobrito.com.br/instalar-handbrake-no-ubuntu/

E no da página oficial https://launchpad.net/~stebbins/+archive/ubuntu/handbrake-releases

inclusive.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #3 Online: 09 de Novembro de 2017, 15:38 »
[...]Mas com relação ao Handbrake, acho que é mais difícil. Esse tutorial não adiantou:
http://www.edivaldobrito.com.br/instalar-handbrake-no-ubuntu/
E no da página oficial https://launchpad.net/~stebbins/+archive/ubuntu/handbrake-releases
inclusive.

O Handbrake no Ubuntu 16.04.3 padrão (=Unity) também funcionou de primeira, sem problemas.



Instalei e está funcionando, porém, note que a ppa (ppa:stebbins/handbrake-releases) ainda não foi portada para o Ubuntu 17.10 Artful, não há entrada para o repositório, a última atualização é  de 09/abril/2017 (Latest updates handbrake 31 weeks ago) então se fizer via pacote deb talvez tenha que complementar algum pacote (não testei instalar na versão 17.10).

Lembre-se que o Ubuntu 17.10 Artful é recém lançado, além do que é uma versão transitória, isto é, apenas um preparativo para a próxima versão LTS que será a 18.04, então muita coisa não está e nem será portada para ela.

Versões transitórias duram apenas 9 meses, então muitos desenvolvedors nem se dão ao trabalho de portar pacotes para versões transitórias.

« Última modificação: 09 de Novembro de 2017, 15:47 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #4 Online: 09 de Novembro de 2017, 15:53 »
Ah entendi! É uma pena eu ter instalado justamente esta versão transitória. Mas pelo menos está solucionado.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #5 Online: 09 de Novembro de 2017, 17:00 »
Fique atento com esse jdownloader, curiosamente aqui caiu a conexão (fixa, cabo, ethernet) após ter instalado.

Pode até não ter a ver, ter sido mera coincidência, mas aqui cair a conexão ethernet é uma raridade, algo que nunca acontece, ela é extreamente estável e rápida, e aconteceu logo depois de ter instalado o jdownloader. Já se passou cerca de meia hora e não caiu mais, mas enfim, fique atento, até porque fiz a instalação num live-iso de testes apenas em razão do seu tópico e não vou acompanhar ou realmente usar.

Como disse, pode ter sido mera coincidência, mas tive que reiniciar o serviço.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #6 Online: 09 de Novembro de 2017, 19:18 »
Porém ainda é possível instalar o handbrake no Ubuntu 17.10 Artul mediante algumas manobras.

Antes de mais nada assegure-se que a instalação está devidamente atualizada.

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Os dois comandos acima devem terminar sem erros de quaisquer espécie.

Não é necessário trazer ao tópico o resultado do processamento dos dois comandos acima, não ajuda em nada, a menos que apresentem erros, aí então, sim, será preciso examinar.

Isso posto, como a ppa:stebbins/handbrake-releases ainda não está atualizada para a versão atual do Ubuntu, então se pode baixar o pacote deb e instalar por ele, fazendo algumas adequações.

Apenas alerto que vai baixar e instalar bastante coisa.

Os quatro repositórios precisam estar ativados: main universe restrict multiverse

Confira se os checkbox estão devidamente assinalados:

Código: [Selecionar]
sudo software-properties-gtk
Se não existevem e precisar marcar, vai pedir para Recarregar (=Reload), etc, enfim, atualizar a lista de repositórios.

Em seguida instale os extras de copyrigth:

Código: [Selecionar]
sudo apt install ubuntu-restricted-extras
Ainda, baixe diretamente e instale esse pacote que não tem no Ubuntu atual, mas que é necessário para funcionar:

Código: [Selecionar]
cd ~/Downloads
Código: [Selecionar]
wget -c http://mirrors.kernel.org/ubuntu/pool/universe/liba/libass/libass5_0.13.4-2_amd64.deb
Código: [Selecionar]
sudo dpkg -i libass5_0.13.4-2_amd64.deb
Agora baixando os pacotes deb do handbrake, gtk para a interface gráfica e cli para linha de comando:

Código: [Selecionar]
wget -c https://launchpad.net/~stebbins/+archive/ubuntu/handbrake-releases/+files/handbrake-gtk_1.0.4-zhb-1ppa1~zesty1_amd64.deb
Código: [Selecionar]
wget -c https://launchpad.net/~stebbins/+archive/ubuntu/handbrake-releases/+files/handbrake-cli_1.0.4-zhb-1ppa1~zesty1_amd64.deb
Comece instalando o pacote gtk para a interface gráfica:

Código: [Selecionar]
sudo dpkg -i handbrake-gtk_1.0.4-zhb-1ppa1~zesty1_amd64.deb
Vai terminar indicando problemas de dependências (Errors were encountered while processing:) e que, portanto, não instalou e configurou.

Corrija fazendo:

Código: [Selecionar]
sudo apt-get install -f
Isso deverá resolver.

Confirme fazendo novamente:

Código: [Selecionar]
sudo dpkg -i handbrake-gtk_1.0.4-zhb-1ppa1~zesty1_amd64.deb
Finalmente instale o pacote para cli do handbrake:

Código: [Selecionar]
sudo dpkg -i handbrake-cli_1.0.4-zhb-1ppa1~zesty1_amd64.deb
Esse não deverá apresentar problemas na instalação.

É isso, agora é só chamar o handbrake pelo ícone correspondente lá no Dash, irá funcionar.

« Última modificação: 09 de Novembro de 2017, 19:25 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #7 Online: 13 de Novembro de 2017, 15:33 »
Travei aqui:
htpc@htpc-ULTRATOP-BRIX:~$ sudo software-properties-gtk
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Não foi possível conectar: Connection refused
Falha de segmentação
htpc@htpc-ULTRATOP-BRIX:~$

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.555
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #8 Online: 13 de Novembro de 2017, 15:38 »
Travei aqui:
htpc@htpc-ULTRATOP-BRIX:~$ sudo software-properties-gtk
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Não foi possível conectar: Connection refused
Falha de segmentação
htpc@htpc-ULTRATOP-BRIX:~$

É porque nessa versão 17.10 Artful do Ubuntu está usando o protocolo Wayland para o servidor gráfico ao invés do X11, que é o servidor normal, por isso que não abriu.

Uma possibilidade é encerrar a sessão, ir na tela de logon e onde se identifica o usuário para login clicar na pequena engrenagem e escolher para subir o sistema usando o X11, mas não é realmente necessário.

Não é realmente um problema, pule esse comando, que é apenas para verificar se os quatro repositórios estão habilitados, e faça essa verificação usando a própria interface gráfica.

Configurações do Sistema (ícone da roda dentada; Settings)/Programas e atualizações

Confirme visualmente se os quatro repositórios estão habilitados.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline maurente

  • Usuário Ubuntu
  • *
  • Mensagens: 68
    • Ver perfil
Re:Aplicativos com JAVA VM
« Resposta #9 Online: 14 de Novembro de 2017, 14:04 »
Consegui fazer. Funciona. Só não entendo por que criou dois ícones. No caso do Jdownloader 3 ícones.